C--------------------------------------------------------------------
C  Copyright (C) 2004,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine db_mod04_file_close( 
     &                                l1b_1km_lun,
     &                                l1b_hkm_lun,
     &                                l1b_qkm_lun,
     &                                geo_1km_lun,
     &                                mask_lun,
     &                                mask_qa_lun,
     &                                scan_1km_lun,
     &                                anc_met_lun,
     &                                ozone_lun,
     &                                mod04_lun,
     &                                hdr_lun)

      implicit none
      save

C-----------------------------------------------------------------------
C!F77
C
C!DESCRIPTION:
c Program which will close files used in the DB Atmospheric  
c Profiles software.
C
C!INPUT PARAMETERS:   
C
C   l1b_1km_lun        LUN for open 1km L1B data file
C   l1b_hkm_lun        LUN for open half km L1B data file
C   l1b_qkm_lun        LUN for open quarter km L1B data file
C   geo_1km_lun        LUN for open geo file
C   mask_lun           LUN for open Cloud Mask file
C   mask_qa_lun        LUN for open Cloud Mask QA file
C   scan_1km_lun       LUN for scan based metadata file
C   anc_met_lun        LUN for open met data file
C   ozone_lun          LUN for ozone ancillary data file
C   mod04_lun          LUN for MODIS Aerosol binary product output file
C   hdr_lun            LUN for MODIS Aerosol header output file
C   h_output           LUN for text debug output file (from include file)
C
C!OUTPUT PARAMETERS:   None.
C
C
C!REVISION HISTORY:
c
C!TEAM-UNIQUE HEADER:
C
C!REFERENCES AND CREDITS
C
C EXTERNALS:
C
C       NAMED CONSTANTS:
C
C
C!END-------------------------------------------------------------------

      include 'db_mod04uw_debug.inc'

c --- arguments
      integer l1b_1km_lun, l1b_hkm_lun, l1b_qkm_lun, geo_1km_lun,
     +        mask_lun, mask_qa_lun, scan_1km_lun, anc_met_lun,
     +        ozone_lun, mod04_lun, hdr_lun

c ... close files
      close(l1b_1km_lun)
      close(l1b_hkm_lun)
      close(l1b_qkm_lun)
      close(geo_1km_lun)
      if (anc_met_lun .gt. 0) close(anc_met_lun)
      if (ozone_lun .gt. 0) close(ozone_lun)
      close(mask_lun)
      close(mask_qa_lun)
      close(scan_1km_lun)
      close(mod04_lun)
      close(hdr_lun)
      if (debug .ne. 0) close(h_output)

      return
      end
